Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImageActor Class Reference

`#include <vtkImageActor.h>`

Inheritance diagram for vtkImageActor:

[legend]
Collaboration diagram for vtkImageActor:

[legend]
List of all members.

## Detailed Description

draw an image (data & properties) in a rendered 3D scene

Date:
  2002/05/28 03:33:50

Revision:
  1.15

vtkImageActor is used to render an image in a 3D scene. The image is placed at the origin of the image, and its size is controlled by the image dimensions and image spacing. The orientation of the image is orthogonal to one of the x-y-z axes depending on which plane the image is defined in. vtkImageActor duplicates the functionality of combinations of other VTK classes in a convenient, single class.

Warning:
  vtkImageData requires the image to be of type unsigned char. Use a filter like vtkImageShiftScale to convert to unsigned char (the method to use is SetOutputTypeToUnsignedChar()).

See also:
  vtkImageData vtkProp vtkImageShiftScale

Created by:
  - Martin, Ken

CVS contributions (if > 5%):
  - Martin, Ken (83%)
  - Schroeder, Will (10%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkImageActor.cxx)`
  - .`h` (`/Rendering/vtkImageActor.h)`

Examples:
  vtkImageActor (Examples)

Tests:
  vtkImageActor (Tests)

Definition at line 64 of file vtkImageActor.h.

## Public Types
typedef vtkProp | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
int | GetSliceNumber ()
int | GetZSlice ()
int | GetWholeZMin ()
int | GetWholeZMax ()
virtual void | SetInput (vtkImageData *)
virtual vtkImageData * | GetInput ()
virtual int | GetInterpolate ()
virtual void | SetInterpolate (int)
virtual void | InterpolateOn ()
virtual void | InterpolateOff ()
void | SetDisplayExtent (int extent[6])
void | SetDisplayExtent (int minX, int maxX, int minY, int maxY, int minZ, int maxZ)
void | GetDisplayExtent (int extent[6])
int * | GetDisplayExtent ()
float * | GetBounds ()
void | GetBounds (float bounds[6])
int | RenderOpaqueGeometry (vtkViewport *viewport)
virtual void | Load (vtkRenderer *)
void | SetZSlice (int z)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkImageActor * | SafeDownCast (vtkObject *o)
vtkImageActor * | New ()
## Protected Methods
| vtkImageActor ()
| ~vtkImageActor ()
## Protected Attributes
int | Interpolate
vtkImageData * | Input
int | DisplayExtent [6]
float | Bounds [6]

## Member Typedef Documentation

typedef vtkProp vtkImageActor::Superclass

| Reimplemented from vtkProp. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor. Definition at line 67 of file vtkImageActor.h.

## Constructor & Destructor Documentation

vtkImageActor::vtkImageActor | ( |  | ) | `[protected]`

vtkImageActor::~vtkImageActor | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkImageActor::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkProp. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor.

int vtkImageActor::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor.

virtual int vtkImageActor::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkProp. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor.

vtkImageActor* vtkImageActor::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkProp. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor.

void vtkImageActor::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkProp. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor.

vtkImageActor* vtkImageActor::New | ( |  | ) | `[static]`

| Instantiate the image actor. Reimplemented from vtkObject. Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor.

virtual void vtkImageActor::SetInput | ( | vtkImageData * |  | ) | `[virtual]`

| Set/Get the image data input for the image actor.

virtual vtkImageData* vtkImageActor::GetInput | ( |  | ) | `[virtual]`

| Set/Get the image data input for the image actor.

virtual int vtkImageActor::GetInterpolate | ( |  | ) | `[virtual]`

| Turn on/off linear interpolation of the image when rendering.

virtual void vtkImageActor::SetInterpolate | ( | int |  | ) | `[virtual]`

| Turn on/off linear interpolation of the image when rendering.

virtual void vtkImageActor::InterpolateOn | ( |  | ) | `[virtual]`

| Turn on/off linear interpolation of the image when rendering.

virtual void vtkImageActor::InterpolateOff | ( |  | ) | `[virtual]`

| Turn on/off linear interpolation of the image when rendering.

void vtkImageActor::SetDisplayExtent | ( | int | extent[6] | ) |

| The image extent is generally set explicitly, but if not set it will be determined from the input image data.

void vtkImageActor::SetDisplayExtent | ( | int | minX,
|  | int | maxX,
|  | int | minY,
|  | int | maxY,
|  | int | minZ,
|  | int | maxZ
| ) |

| The image extent is generally set explicitly, but if not set it will be determined from the input image data.

void vtkImageActor::GetDisplayExtent | ( | int | extent[6] | ) |

| The image extent is generally set explicitly, but if not set it will be determined from the input image data.

int* vtkImageActor::GetDisplayExtent | ( |  | ) | `[inline]`

| The image extent is generally set explicitly, but if not set it will be determined from the input image data. Definition at line 93 of file vtkImageActor.h.

float* vtkImageActor::GetBounds | ( |  | ) | `[virtual]`

| Get the bounds of this image actor. Either copy the bounds into a user provided array or return a pointer to an array. In either case the boudns is expressed as a 6-vector (xmin,xmax, ymin,ymax, zmin,zmax). Reimplemented from vtkProp.

void vtkImageActor::GetBounds | ( | float | bounds[6] | ) |

| Get the bounds of this image actor. Either copy the bounds into a user provided array or return a pointer to an array. In either case the boudns is expressed as a 6-vector (xmin,xmax, ymin,ymax, zmin,zmax).

int vtkImageActor::GetSliceNumber | ( |  | ) |

| Return a slice number computed from the display extent.

int vtkImageActor::RenderOpaqueGeometry | ( | vtkViewport * | viewport | ) | `[virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Support the standard render methods. int RenderTranslucentGeometry(vtkViewport *viewport); Reimplemented from vtkProp.

virtual void vtkImageActor::Load | ( | vtkRenderer * |  | ) | `[inline, virtual]`

| WARNING: INTERNAL METHOD - NOT INTENDED FOR GENERAL USE DO NOT USE THIS METHOD OUTSIDE OF THE RENDERING PROCESS Support the standard render methods. int RenderTranslucentGeometry(vtkViewport *viewport); Reimplemented in vtkMesaImageActor, and vtkOpenGLImageActor. Definition at line 114 of file vtkImageActor.h.

void vtkImageActor::SetZSlice | ( | int | z | ) | `[inline]`

| Set/Get the current slice number. The axis Z in ZSlice does not necessarily have any relation to the z axis of the data on disk. It is simply the axis orthogonal to the x,y, display plane. GetWholeZMax and Min are convenience methods for obtaining the number of slices that can be displayed. Again the number of slices is in reference to the display z axis, which is not necessarily the z axis on disk. (due to reformatting etc) Definition at line 126 of file vtkImageActor.h.

int vtkImageActor::GetZSlice | ( |  | ) | `[inline]`

| Definition at line 132 of file vtkImageActor.h.

int vtkImageActor::GetWholeZMin | ( |  | ) |

int vtkImageActor::GetWholeZMax | ( |  | ) |

## Member Data Documentation

int vtkImageActor::Interpolate`[protected]`

| Definition at line 140 of file vtkImageActor.h.

vtkImageData* vtkImageActor::Input`[protected]`

| Definition at line 141 of file vtkImageActor.h.

int vtkImageActor::DisplayExtent[6]`[protected]`

| Definition at line 142 of file vtkImageActor.h.

float vtkImageActor::Bounds[6]`[protected]`

| Definition at line 143 of file vtkImageActor.h.

The documentation for this class was generated from the following file:

- Rendering/vtkImageActor.h